## goldendict 0.9.1~git20100719

=== mouseover_win32/Makefile ===
GCC:=i586-mingw32msvc-gcc -W -Wall

.PHONY: all clean

all: GdTextOutHook.dll libGdTextOutHook.a GdTextOutSpy.dll libGdTextOutSpy.a

clean:
	rm -f *.o *.a *.dll

TextOutHook.o: TextOutHook.c
	$(GCC) -DBUILDING_DLL -c $<

HookImportFunction.o: HookImportFunction.c
	$(GCC) -c $<

GetWord.o: GetWord.c
	$(GCC) -c $<

GdTextOutHook.dll libGdTextOutHook.a: TextOutHook.o HookImportFunction.o GetWord.o
	$(GCC) -shared -o GdTextOutHook.dll $^ -lgdi32 -Wl,--out-implib,libGdTextOutHook.a

TextOutSpy.o: TextOutSpy.c
	$(GCC) -DBUILDING_DLL -c $<

ThTypes.o: ThTypes.c
	$(GCC) -c $<

GdTextOutSpy.dll libGdTextOutSpy.a: TextOutSpy.o ThTypes.o
	 $(GCC) -shared -o GdTextOutSpy.dll $^ -lgdi32 -Wl,--out-implib,libGdTextOutSpy.a

## goldendict 0.9.0-0maemo2

=== debian/changelog ===
goldendict (0.9.0-0maemo2) unstable; urgency=low

  * prefix=/opt/goldendict

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon,  24 Jun 2013 20:43:32 +0300

goldendict (0.9.0-0maemo1) unstable; urgency=low

  * Initial release

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Thu,  4 Jun 2009 23:35:32 +0300

=== debian/control ===
Source: goldendict
Section: user/office
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5), libhunspell-dev, zlib1g-dev, locales, libvorbis-dev, gnupg, libxtst-dev, libqt4-dev
Standards-Version: 3.7.2

Package: goldendict
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a dictionary lookup program.
 GoldenDict is a feature-rich dictionary lookup program 
 supporting multiple dictionary formats,featuring 
 perfect article rendering with the complete markup, 
 illustrations,  and  other content retained,
 and allowing you to type in words without any accents
 or correct case.
XB-Maemo-Display-Name: GoldenDict
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAEHElEQVR4Xs3W
 S2xUVRzH8e85d6b3MXdaOpSWGdqx0mlLIVgJpAY1LjQxMS5cqQvER0zEhQt1
 0YWJG/GxMoYEJBEaSQwbNK5NUNQQE4KwsFJoWqE8SmHaaZlHZzqPO/fvUCYk
 Iw2QKImf5Hf+m5PzPzn3qUSE/y0NSoN79zn/wq5neHX4BT7d9TRP8F9ZBe67
 z/HKoQ82H1+cOSU3jQxvOglEWUGARnzxIgPis05pygoQ4NsTiOfhbOml7+XX
 dr458NRbg2sTT1JHfinfa2leKvrsoRGKur07ibqtq95+fMf+99zV3eFKKY/4
 PogvVrDM9Zmkao9vIprYzj+dOf0Lv373ycyxoz8Of3+awzRaXrz1p30bR3PJ
 L+Umr5ZcQWQhW5Grs1k5N3lFvv7miMwt5GUlExcX5M/Rn2Xi2LPy+evBD++4
 yJ7HlnU9S5s1M5R8yGcXyefmyGWuk1uYYT55hUsXzpFLJ1lJS8hiLpkk0JzB
 sNgBDDY0UIpoMTsFxFBVEBEUtYgPIohUKZdK+L7PStrbbEpVl0ImR5BKBEg0
 NIgmuh5zwhbK3IYPUB+VMhBYXtjzPO72UCojwlIlRmKgtTnRwUMNDUKutS6g
 HHRTH/gCKGS5CKoWRLjXE++G2ykuRYi0NZvd7aobcAH0nh3YBumNVmiAoN0C
 ePXd13uhEe4tHA6hzH4CAeiMSBxoBdAo3EphLo65AQDfV4CACJpGipXNzaVY
 KqQJhvrwikVaHVavcogBaMu1e2wTRwc60YDCRykFy5HGBrqx5ejoKCMjIxw4
 8BXJ2Rla2vqQihDval4z2K03AIa2HefRsNuM274dANtuwnEcQo6LY7lYtk1t
 DnathlwXgPHxcXbv/piDB0eYnp5mw8AAifVdxB4ewrK6iHeuifTEgoNAS8BQ
 1W7LipLxYqQWhFI2TcUrU1oqUq7VfL5AKpXBVw5jZyfZf+BwrY5hWTZdXXE6
 4nEMu435bBUrD0aonxb7lBM2JQ60B6rFzFB5McTxIx9xdmoe/CXEB198xPfx
 aymVixR0J3tHT1Cd+x2zKYiyTW5kgxQnTS42abSGyJpOtsWm8RevhTrcci/Q
 rPa9wV+pND3i14/99nmDAsImRMNQagpzrRzFyk0wm4WSD0HjVoz6Jav6gIKI
 C0Xh6vBh3gk0Oe4hZfTvTqczBAIKlKZOEPBMJan0DW1kk/jkmCpAKNoLSlfL
 ItrTSgm3iC9YwSCqxZsfP3v+JHjhgFQWPxsbO319YZGtVR+f28AXJGRiDj3S
 /XyqnIhiWEQ7CszMJn8YPZ+dsJrQStAAwi1aoy+nWJia5SJw5vaJAGuBACA0
 kq3rWT3U775vmoHY2FRu8ugf1QvAb8AlwOBOGsgA2fv+6CulTKAfcIHLIjLN
 fXjgfxWaB+xvZdrTfQPmp4wAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake PREFIX=/opt/goldendict
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/goldendict.sgml > goldendict.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f goldendict
	rm -f Makefile

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/goldendict.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/goldendict install
	cp $(CURDIR)/goldendict $(CURDIR)/debian/goldendict/usr/bin
	cp debian/goldendict.desktop $(CURDIR)/debian/goldendict/usr/share/applications/hildon
	cp icons/programicon.png $(CURDIR)/debian/goldendict/usr/share/pixmaps/goldendict.png

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## goldendict 1.0.1

=== mouseover_win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GCC:=i586-mingw32msvc-gcc -W -Wall
+GCC:=i686-pc-mingw32-gcc.exe -W -Wall -s
 
 .PHONY: all clean

## goldendict 1.0.2~git20110706

=== mouseover_win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GCC:=i686-pc-mingw32-gcc.exe -W -Wall -s
+GCC:=i686-pc-mingw32-gcc.exe -W -Wall -s -O2
 
 .PHONY: all clean

## goldendict 1.0.2~git20110906

=== mouseover_win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GCC:=i686-pc-mingw32-gcc.exe -W -Wall -s -O2
+GCC:=gcc.exe -W -Wall -s -O2
 
 .PHONY: all clean
 
@@ -16,6 +16,15 @@
 GetWord.o: GetWord.c
 	$(GCC) -c $<
 
+IAccEx.o: IAccEx.c
+	$(GCC) -c $<
+
+GetWordByIAccEx.o: GetWordByIAccEx.c
+	$(GCC) -c $<
+
+guids.o: guids.c
+	$(GCC) -c $<
+
 GdTextOutHook.dll libGdTextOutHook.a: TextOutHook.o HookImportFunction.o GetWord.o
 	$(GCC) -shared -o GdTextOutHook.dll $^ -lgdi32 -Wl,--out-implib,libGdTextOutHook.a
 
@@ -25,5 +34,5 @@
 ThTypes.o: ThTypes.c
 	$(GCC) -c $<
 
-GdTextOutSpy.dll libGdTextOutSpy.a: TextOutSpy.o ThTypes.o
-	 $(GCC) -shared -o GdTextOutSpy.dll $^ -lgdi32 -Wl,--out-implib,libGdTextOutSpy.a
+GdTextOutSpy.dll libGdTextOutSpy.a: TextOutSpy.o ThTypes.o IAccEx.o guids.o GetWordByIAccEx.o
+	$(GCC) -shared -o GdTextOutSpy.dll $^ -lgdi32 -luuid -loleacc -loleaut32 -Wl,--out-implib,libGdTextOutSpy.a

## goldendict 1.0.2~git20120929

=== mouseover_win32/Makefile ===
GCC:=gcc.exe -W -Wall -s -O2
GCC64:=x86_64-w64-mingw32-gcc.exe -W -Wall -s -O2

.PHONY: all x64 clean

all: GdTextOutHook.dll libGdTextOutHook.a GdTextOutSpy.dll libGdTextOutSpy.a

x64: x64helper.exe GdTextOutHook64.dll libGdTextOutHook64.a GdTextOutSpy64.dll libGdTextOutSpy64.a

clean:
	rm -f *.o *.a *.dll *.exe

TextOutHook.o: TextOutHook.c
	$(GCC) -DBUILDING_DLL -c $<

HookImportFunction.o: HookImportFunction.c
	$(GCC) -c $<

GetWord.o: GetWord.c
	$(GCC) -c $<

GdTextOutHook.dll libGdTextOutHook.a: TextOutHook.o HookImportFunction.o GetWord.o
	$(GCC) -shared -o GdTextOutHook.dll $^ -lgdi32 -Wl,--out-implib,libGdTextOutHook.a

TextOutSpy.o: TextOutSpy.c
	$(GCC) -DBUILDING_DLL -c $<

ThTypes.o: ThTypes.c
	$(GCC) -c $<

IAccEx.o: IAccEx.c
	$(GCC) -c $<

GetWordByIAccEx.o: GetWordByIAccEx.c
	$(GCC) -c $<

guids.o: guids.c
	$(GCC) -c $<

GdTextOutSpy.dll libGdTextOutSpy.a: TextOutSpy.o ThTypes.o IAccEx.o guids.o GetWordByIAccEx.o
	$(GCC) -shared -o GdTextOutSpy.dll $^ -lgdi32 -luuid -loleacc -loleaut32 -Wl,--out-implib,libGdTextOutSpy.a

x64helper.exe: x64hooks64.o ThTypes64.o
	$(GCC64) -Wl,--subsystem,windows -mwindows -o $@ $^

x64hooks64.o: x64hooks.c
	$(GCC64) -o $@ -c $<

TextOutHook64.o: TextOutHook.c
	$(GCC64) -o $@ -DBUILDING_DLL -c $<

HookImportFunction64.o: HookImportFunction.c
	$(GCC64) -o $@ -c $<

GetWord64.o: GetWord.c
	$(GCC64) -o $@ -c $<

GdTextOutHook64.dll libGdTextOutHook64.a: TextOutHook64.o HookImportFunction64.o GetWord64.o
	$(GCC64) -shared -o GdTextOutHook64.dll $^ -lgdi32 -Wl,--out-implib,libGdTextOutHook64.a

TextOutSpy64.o: TextOutSpy.c
	$(GCC64) -o $@ -DBUILDING_DLL -c $<

ThTypes64.o: ThTypes.c
	$(GCC64) -o $@ -c $<

IAccEx64.o: IAccEx.c
	$(GCC64) -o $@ -c $<

GetWordByIAccEx64.o: GetWordByIAccEx.c
	$(GCC64) -o $@ -c $<

guids64.o: guids.c
	$(GCC64) -o $@ -c $<

GdTextOutSpy64.dll libGdTextOutSpy64.a: TextOutSpy64.o ThTypes64.o IAccEx64.o guids64.o GetWordByIAccEx64.o
	$(GCC64) -shared -o GdTextOutSpy64.dll $^ -lgdi32 -luuid -loleacc -loleaut32 -Wl,--out-implib,libGdTextOutSpy64.a

=== debian/changelog ===
goldendict (1.0.2~git20120929-3) unstable; urgency=low

  * Drop .desktop file, closes: #689205.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 01 Oct 2012 11:23:16 +0400

goldendict (1.0.2~git20120929-2) unstable; urgency=low

  * Repatch old debian patches.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 30 Sep 2012 00:06:24 +0400

goldendict (1.0.2~git20120929-1) unstable; urgency=low

  * New GIT-snapshot

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 29 Sep 2012 18:52:52 +0400

goldendict (1.0.2~git20110906-1) unstable; urgency=low

  * New GIT-snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 06 Sep 2011 09:43:30 +0400

goldendict (1.0.2~git20110805-1) unstable; urgency=low

  * New GIT snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 05 Aug 2011 16:21:30 +0400

goldendict (1.0.2~git20110706-1) unstable; urgency=low

  * New GIT-snapshot.
  * Fix a few lintian warnings.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 06 Jul 2011 13:48:58 +0400

goldendict (1.0.2~git20110314-1) unstable; urgency=low

  * New GIT-snapshot.
  * Fixed B-D, closes: #618180.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 14 Mar 2011 16:22:44 +0300

goldendict (1.0.1-1) unstable; urgency=low

  * New upstream version.
    * Support for Forvo online pronunciations added.
    * Support for Phonon for audio file playback (DirectShow under Windows).
      This allows playing most audio files (.mp3 etc).
    * History of search queries added.
    * Dictionary bar added, allowing to disable individual dictionaries
      in the currently selected group.
    * Multi-word queries are now split into individual words and
      presented as links, and all compound expressions (expressions
      consisting of two or more words) within the query are found
      and displayed.
    * Morphological analysis is now applied to compound expressions
      as well (e.g. "dozing off" -> "doze off")
    * It is now possible to assign keyboard shortcuts to the groups
      for fast switching now.
    * It is now possible to use any file as a group icon.
    * Content not originating from the site the user browses can
      now be blocked (hides ads).
    * Internal links in websites are now followed in-place.
    * Audio files from websites are now played.
    * Drop-down list of open tabs added.
    * Clicking a link with middle mouse button now opens it in a new tab.
    * Double-clicking words in an article translates them right
      away (hold Ctrl to open in new tabs).
    * Typing while focused on the word list initiates new search now.
    * Zooming fonts in word list and translate line is now possible.
    * Simply moving the mouse away from the scan popup window hides it.
    * Toggling main window gives focus to the translation line.
    * Zip files are now indexed, conserving memory and startup
      times considerably.
    * Better support for RTL languages.
    * Improvements in BGL and DSL support.
    * Support for portable version mode (just create the
      portable/directory to enable it).
    * Checking for the running instance is now always done correctly.
    * Lots and lots of smaller improvements, speedups and bugfixes.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 04 Dec 2010 17:54:24 +0300

goldendict (0.9.1~git20101013-1) experimental; urgency=low

  * New GIT-snapshot

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 13 Oct 2010 08:53:01 +0400

goldendict (0.9.1~git20100719-2) unstable; urgency=low

  * Fixed typos in debian/control, thanks for
    Erik Esterer <erik.esterer@gmail.com>, closes: #590007.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 23 Jul 2010 09:50:16 +0400

goldendict (0.9.1~git20100719-1) unstable; urgency=low

  * New GIT-snapshot
  * Added menu item, closes: #589302.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 19 Jul 2010 09:44:35 +0400

goldendict (0.9.1~git20100707-1) unstable; urgency=low

  * New GIT-snapshot

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 07 Jul 2010 10:30:00 +0400

goldendict (0.9.1~git20100609-3) unstable; urgency=low

  * Unstable upload.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 10 Jun 2010 20:25:58 +0400

goldendict (0.9.1~git20100609-2) experimental; urgency=low

  * New GIT-snapshot (merge from git://gitorious.org/goldendict/goldendict.git)

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 09 Jun 2010 11:50:43 +0400

goldendict (0.9.1~git20100609-1) unstable; urgency=low

  * New GIT-snapshot

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 09 Jun 2010 11:44:36 +0400

goldendict (0.9.1~git20100413-1) unstable; urgency=low

  * New GIT-snapshot

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 13 Apr 2010 10:18:32 +0400

goldendict (0.9.1~git20100322-1) unstable; urgency=low

  * New GIT-snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 22 Mar 2010 22:54:29 +0300

goldendict (0.9.1~git20100204-3) unstable; urgency=low

  * Added pkg-config into BD-list, closes: #568955,
    thanks for "Aaron M. Ucko" <ucko@debian.org>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 09 Feb 2010 09:18:05 +0300

goldendict (0.9.1~git20100204-2) unstable; urgency=low

  * Unstable uploading.
  * Standards-Version bumped to 3.8.4.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 05 Feb 2010 09:19:38 +0300

goldendict (0.9.1~git20100204-1) experimental; urgency=low

  * New GIT-snapshot.
  * I don't care such managers as kde/gnome. From now I'll set tag 'wontfix'
    for every reports about adding/excluding/editing .desktop files. I am
    fed up with their problems. Now .desktop was removed, closes: #568425.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 04 Feb 2010 23:39:57 +0300

goldendict (0.9.1~git20100117-1) unstable; urgency=low

  * New GIT-snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 17 Jan 2010 11:46:25 +0300

goldendict (0.9.1~git20091117-1) unstable; urgency=low

  * New GIT snapshot.
  * Added goldendict-wordnet into Suggests.



=== debian/control ===
Source: goldendict
Priority: optional
Section: utils
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 3.9.3
Build-Depends: cdbs, debhelper (>= 7),
 x11proto-record-dev, libxtst-dev,
 qt4-qmake, libqt4-dev (>= 4.5.1), libvorbis-dev,
 libhunspell-dev, libx11-dev, zlib1g-dev,
 libphonon-dev, pkg-config, libqtwebkit-dev,
 libbz2-dev
Homepage: http://goldendict.berlios.de/
VCS-Browser: http://git.debian.org/?p=collab-maint/goldendict.git;a=summary
VCS-Git: git://git.debian.org/collab-maint/goldendict.git

Package: goldendict
Suggests: goldendict-wordnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: feature-rich dictionary lookup program
 Features:
  * Use of WebKit for an accurate articles' representation,
    complete with all formatting, colors, images and links.
  * Support of multiple dictionary file formats, namely:
    - Babylon .BGL files, complete with images and resources
    - StarDict .ifo/.dict./.idx/.syn dictionaries
    - Dictd .index/.dict(.dz) dictionary files
    - ABBYY Lingvo .dsl source files, together with abbreviations.
      The files can be optionally compressed with dictzip. Dictionary
      resources can be packed together into a .zip file.
    - ABBYY Lingvo .lsa/.dat audio archives. Those can be indexed
       separately, or be referred to from .dsl files.
  * Support for Wikipedia, Wiktionary, or any other MediaWiki-based
    sites to perform lookups in.
  * Ability to use arbitrary websites as dictionaries via templated
     Url patterns.
  * Hunspell-based morphology system, used for word stemming and
    spelling suggestions.
  * Ability to index arbitrary directories with audio files for
     pronunciation lookups.
  * Full Unicode case, diacritics, punctuation and whitespace folding.
    This means the ability to type in words without any accents,
    correct case, punctuation or spaces (e.g. typing 'Grussen' would
    yield 'grüßen' in German dictionaries).
  * Scan popup functionality. A small window pops up with the
    translation of a word chosen from another application.
  * Support for global hotkeys. You can spawn the program window at
    any point, or directly translate a word from the clipboard.
  * Tabbed browsing in a modern Qt 4 interface.

## goldendict 1.0.2~git20130620

=== debian/changelog ===
goldendict (1.0.2~git20130620-1) unstable; urgency=low

  * New snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 20 Jun 2013 23:27:54 +0400

## goldendict 1.5.0~git20131003

=== debian/changelog ===
goldendict (1.5.0~git20131003-1build4) wily; urgency=medium

  * No-change rebuild against libhunspell-1.3-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 19:41:16 +0000

goldendict (1.5.0~git20131003-1build3) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 21:01:45 +0100

goldendict (1.5.0~git20131003-1build2) utopic; urgency=medium

  * No-change rebuild against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 31 May 2014 22:10:48 -0400

goldendict (1.5.0~git20131003-1build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 09 Nov 2013 20:37:54 +0000

goldendict (1.5.0~git20131003-1) unstable; urgency=low

  * New snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 03 Oct 2013 00:42:19 +0400

goldendict (1.0.2~git20130816-1) unstable; urgency=low

  * New snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 16 Aug 2013 13:42:32 +0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,27 @@
 Source: goldendict
 Priority: optional
 Section: utils
-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: cdbs, debhelper (>= 7),
- x11proto-record-dev, libxtst-dev,
- qt4-qmake, libqt4-dev (>= 4.5.1), libvorbis-dev,
- libhunspell-dev, libx11-dev, zlib1g-dev,
- libphonon-dev, pkg-config, libqtwebkit-dev,
- libbz2-dev
+ libao-dev,
+ libavformat-dev,
+ libavutil-dev,
+ liblzo2-dev,
+ libxtst-dev,
+ libbz2-dev,
+ libhunspell-dev,
+ libphonon-dev,
+ libqt4-dev (>= 4.5.1),
+ libqtwebkit-dev,
+ libvorbis-dev,
+ libx11-dev,
+ libxtst-dev,
+ pkg-config,
+ qt4-qmake,
+ x11proto-record-dev,
+ zlib1g-dev
 Homepage: http://goldendict.berlios.de/
 VCS-Browser: http://git.debian.org/?p=collab-maint/goldendict.git;a=summary
 VCS-Git: git://git.debian.org/collab-maint/goldendict.git

## goldendict 1.5.0~git20150923

=== debian/changelog ===
goldendict (1.5.0~git20150923-1) unstable; urgency=medium

  * New snapshot.
   - Updated Homepage (debian/control), closes: #786649.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 23 Sep 2015 10:27:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: goldendict
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: cdbs, debhelper (>= 7),
+ libeb16-dev,
+ libtiff5-dev,
  libao-dev,
  libavformat-dev,
  libavutil-dev,
@@ -22,7 +23,7 @@
  qt4-qmake,
  x11proto-record-dev,
  zlib1g-dev
-Homepage: http://goldendict.berlios.de/
+Homepage: http://goldendict.org
 VCS-Browser: http://git.debian.org/?p=collab-maint/goldendict.git;a=summary
 VCS-Git: git://git.debian.org/collab-maint/goldendict.git

=== debian/rules ===
#!/usr/bin/make -f

DATESTAMP	=	$(shell date +%Y%m%d)
DEBVERSION	=	$(shell dpkg-parsechangelog \
	|grep ^Version|awk '{print $$2}')
UVERSION	=	$(shell echo $(DEBVERSION) |sed 's/[~+-].*//')
DEBVERSION_NR	=	$(shell echo $(DEBVERSION) |sed 's/-[[:digit:]]\+$$//')

VERSEP		=	~

UPSTREAMGIT	=	https://github.com/goldendict/goldendict.git

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk

export PREFIX=/usr
QMAKE		= 	qmake-qt4

install/goldendict::
	find debian/goldendict -type f -name '*.*' -exec chmod 0644 '{}' +
	pod2man debian/goldendict.pod debian/goldendict.1

clean::
	rm -f debian/goldendict.1 version.txt

git-pull:
	test `id -u` -eq 0 || fakeroot debian/rules clean
	git remote show github || \
		git remote add gitorious $(UPSTREAMGIT)
	git pull github master
	dch -m -D experimental \
		--newversion $(UVERSION)$(VERSEP)git$(DATESTAMP)-1 \
		"New GIT-snapshot"
	cd .. && tar --exclude=debian --exclude=.git \
		-czvf \
		goldendict_$(UVERSION)$(VERSEP)git$(DATESTAMP).orig.tar.gz \
		goldendict-$(UVERSION)$(VERSEP)git$(DATESTAMP)

tarball:
	test `id -u` -eq 0 || fakeroot debian/rules clean
	cd .. && tar --exclude=debian --exclude=.git \
		-czvf goldendict_$(DEBVERSION_NR).orig.tar.gz \
		goldendict-$(DEBVERSION_NR)

## goldendict 1.5.0~git20160508.g92b5485

=== debian/changelog ===
goldendict (1.5.0~git20160508.g92b5485-3) unstable; urgency=medium

  [Dmitry E. Oboukhov]
  * Apply Boyuan Yang changes, sorry for too long timeout.
  
  [Boyuan Yang <073plan@gmail.com>]
  * Non-maintainer upload.
  * Ack previous upload. Thank you Gianfranco!
  * Add myself into uploaders list. (Hijacking package)
  * Add watch file. (Closes: #793039)
  * Update Vcs-* field. (Closes: #864667)
  * Drop .install file. (Closes: #837677)
  * Drop .menu file as per ctte's decision.
  * Build against Qt5. (Closes: #784468)

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 11 Sep 2017 11:49:42 +0300

goldendict (1.5.0~git20160508.g92b5485-2) unstable; urgency=medium

  [ Dmitry E. Oboukhov ]
  * Apply Gianfranco Costamagna changes, sorry for too long timeout.

  [ Gianfranco Costamagna <locutusofborg@debian.org>]
  * debian/patches/8e11d2a0bdec3ccf24ebb61d468b005543b899ee.patch:
    - fix 64 bit Big Endian build failures (Closes: #824929).
      thanks Adam Conrad for the great help there and upstream for
      the replacing-fix.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 11 Sep 2017 10:50:10 +0300

goldendict (1.5.0~git20160508.g92b5485-1) unstable; urgency=medium

  * New snapshot.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 08 May 2016 09:28:57 +0300

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,8 @@
 Priority: optional
 Section: utils
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Uploaders:
+ Boyuan Yang <073plan@gmail.com>,
 Standards-Version: 3.9.6
 Build-Depends: cdbs, debhelper (>= 7),
  libeb16-dev,
@@ -13,19 +15,22 @@
  libxtst-dev,
  libbz2-dev,
  libhunspell-dev,
- libphonon-dev,
- libqt4-dev (>= 4.5.1),
- libqtwebkit-dev,
+ libphonon4qt5-dev,
+ libqt5webkit5-dev,
+ libqt5x11extras5-dev,
+ libqt5svg5-dev,
  libvorbis-dev,
  libx11-dev,
- libxtst-dev,
  pkg-config,
- qt4-qmake,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ qt5-qmake,
  x11proto-record-dev,
- zlib1g-dev
+ zlib1g-dev,
 Homepage: http://goldendict.org
-VCS-Browser: http://git.debian.org/?p=collab-maint/goldendict.git;a=summary
-VCS-Git: git://git.debian.org/collab-maint/goldendict.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/goldendict.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/goldendict.git
 
 Package: goldendict
 Suggests: goldendict-wordnet
@@ -60,4 +65,4 @@
     translation of a word chosen from another application.
   * Support for global hotkeys. You can spawn the program window at
     any point, or directly translate a word from the clipboard.
-  * Tabbed browsing in a modern Qt 4 interface.
+  * Tabbed browsing in a modern Qt 5 interface.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 # include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 export PREFIX=/usr
-QMAKE		= 	qmake-qt4
+export QT_SELECT := 5
+
+#QMAKE		= 	qmake-qt5
 
 install/goldendict::
 	find debian/goldendict -type f -name '*.*' -exec chmod 0644 '{}' +

## goldendict 1.5.0~rc2%2Bgit20170908%2Bds

=== debian/changelog ===
goldendict (1.5.0~rc2+git20170908+ds-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream snapshot. (Closes: #867497)
    + Enable support for Zim dictionaries.
    + Enable support for Chinese conversion.
  * Remove third-party maclibs and winlibs (+ds).
  * Apply "wrap-and-sort -abst".
  * Bump Standards-Version to 4.1.0.
  * Switch from cdbs to debhelper v10+.
    + Bump debian/compat to 10.
    + Enable full hardening.
  * Update man page for goldendict accordingly.
  * Drop menu file (per ctte's decision in #741573).
  * Refresh patches. 
  * Limit libhunspell version (>= 1.6.1).
  * Refresh watch file.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 13 Sep 2017 16:27:37 +0800

## goldendict 1.5.0~rc2%2Bgit20200409%2Bds

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)\-?RC(\d*?)$/$1~rc$2/, \
      dversionmangle=s/\+ds//, \
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*(-RC)?\d*)\.tar\.gz%goldendict-$1.tar.gz%" \
      https://github.com/goldendict/goldendict/tags \
      (?:.*?/)?v?(\d\S*)\.tar\.gz debian uupdate

## goldendict 1.5.0~rc2+git20170908+ds

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,31 @@
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
-Standards-Version: 3.9.6
-Build-Depends: cdbs, debhelper (>= 7),
- libeb16-dev,
- libtiff5-dev,
+Standards-Version: 4.1.0
+Build-Depends:
+ debhelper (>= 10),
  libao-dev,
  libavformat-dev,
  libavutil-dev,
+ libbz2-dev,
+ libeb16-dev,
+ libhunspell-dev (>= 1.6.1),
+ liblzma-dev,
  liblzo2-dev,
- libxtst-dev,
- libbz2-dev,
- libhunspell-dev,
+ libopencc-dev (>= 1.0.4),
  libphonon4qt5-dev,
+ libqt5svg5-dev,
  libqt5webkit5-dev,
  libqt5x11extras5-dev,
- libqt5svg5-dev,
+ libtiff5-dev,
  libvorbis-dev,
  libx11-dev,
+ libxtst-dev,
  pkg-config,
+ qt5-qmake,
  qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools,
- qt5-qmake,
  x11proto-record-dev,
  zlib1g-dev,
 Homepage: http://goldendict.org
@@ -33,9 +36,12 @@
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/goldendict.git
 
 Package: goldendict
-Suggests: goldendict-wordnet
+Suggests:
+ goldendict-wordnet,
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: feature-rich dictionary lookup program
  Features:
   * Use of WebKit for an accurate articles' representation,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

%:
	dh $@ --buildsystem=qmake

override_dh_auto_configure:
	dh_auto_configure -- \
	        CONFIG+=chinese_conversion_support \
	        CONFIG+=CONFIG+=zim_support

override_dh_install:
	pod2man debian/goldendict.pod debian/goldendict.1
	dh_install --

## goldendict 1.5.0~rc2+git20180412+ds

=== debian/changelog ===
goldendict (1.5.0~rc2+git20180412+ds-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream snapshot.
  * Bump Standards-Version to 4.1.4. (no changes needed)
  * Bump debhelper compat to v11.
  * d/control: Add new qtmultimedia5-dev build-dependency.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 13 Apr 2018 11:34:12 +0800

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  libao-dev,
  libavformat-dev,
  libavutil-dev,
@@ -24,6 +24,7 @@
  libvorbis-dev,
  libx11-dev,
  libxtst-dev,
+ qtmultimedia5-dev,
  pkg-config,
  qt5-qmake,
  qtbase5-dev,
@@ -32,8 +33,8 @@
  x11proto-record-dev,
  zlib1g-dev,
 Homepage: http://goldendict.org
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/goldendict.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/goldendict.git
+Vcs-Browser: https://salsa.debian.org/debian/goldendict
+Vcs-Git: https://salsa.debian.org/debian/goldendict.git
 
 Package: goldendict
 Suggests:
@@ -42,6 +43,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ libqt5multimedia5-plugins,
 Description: feature-rich dictionary lookup program
  Features:
   * Use of WebKit for an accurate articles' representation,

## goldendict 1.5.0~rc2+git20180707+ds

=== debian/changelog ===
goldendict (1.5.0~rc2+git20180707+ds-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:46:42 +0000

goldendict (1.5.0~rc2+git20180707+ds-1) unstable; urgency=medium

  * New upstream snapshot. (2018-07-07).
  * Manual rebuild against libopencc 1.0.5.
  * Bump Standards-Version to 4.1.5. (no changes needed).
  * debian/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Sat, 07 Jul 2018 17:14:15 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Build-Depends:
  debhelper (>= 11~),
  libao-dev,

## goldendict 1.5.0~rc2+git20180719

=== debian/changelog ===
goldendict (1.5.0~rc2+git20180719-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Jul 2018 22:45:35 -0700

goldendict (1.5.0~rc2+git20180719-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/goldendict/goldendict.git
  * Branch: master
  * Commit: 9f06afab368e91356648c6e0e911bdb4426b0d9b
  * Date: 1532013530
  * git changelog:
  *  9f06afa - Mdx: Fix some links handling for Qt5-based build after
    RC2-316-3bc8e0
  *  06c6c63 - Handle %GDWORD% template while calling external editor
  *  5b696ea - Merge pull request #1037 from hosiet/pr-fix-typos-201807
  *  a0bb3c5 - Merge pull request #1036 from hosiet/pr-update-zh-cn-
    tranlsation-201807
  *  5d5432d - Fix typos found by codespell
  *  4631852 - Update Simplified Chinese translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Jul 2018 18:38:58 +0300

goldendict (1.5.0~rc2+git20180705-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/goldendict/goldendict.git
  * Branch: master
  * Commit: f945e74f755c5b09b96f0929ab5e507f8e8af34b
  * Date: 1530765670
  * git changelog:
  *  f945e74 - Merge pull request #1034 from kyleskimo/patch-4
  *  c18a025 - Update zh_TW.ts
  *  3bc8e00 - Mdx: Fix some extra anchors for Qt5-based build

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Jul 2018 17:40:15 +0300

goldendict (1.5.0~rc2+git20180613-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/goldendict/goldendict.git
  * Branch: master
  * Commit: 48e850c7ec11d83cba7499f7fdce377ef3849bbb
  * Date: 1528916473
  * git changelog:
  *  48e850c - Fix typo
  *  35bef02 - Update help system
  *  e540022 - Lupdate all translations, update Russian translation
  *  d7bc012 - Add option to ignore diacritics while articles search
  *  15062f7 - Hunspell: Fix handling of some dictionaries format (issue
    #1021)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 24 Jun 2018 10:35:13 +0300

goldendict (1.5.0~rc2+git20180523-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/goldendict/goldendict.git
  * Branch: master
  * Commit: ccb5eb10c2d7e1121681d2af7d85e28fd59b37ab
  * Date: 1527098480
  * git changelog:
  *  ccb5eb1 - DICT servers: Fix handling of multi-line phonetics (issue
    #1016)
  *  d9c8e12 - Merge pull request #1019 from vedgy/dont-access-destroyed-
    log-file-object
  *  fe1c77f - Don't access a destroyed log file object via logFilePtr
  *  b002fec - Fix some more warnings (issue #978 again)
  *  1a6a941 - Little refactoring for log messages to file
  *  fd00e9d - Fix gcc 7.3 compiler warnings (#issue 978)
  *  61ee894 - Merge pull request #1017 from vedgy/add-scan-popup-
    article-view-focus-shortcut
  *  3bf7aad - Add a shortcut to focus scan popup's article view

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 27 May 2018 06:40:13 +0300

goldendict (1.5.0~rc2+git20180506-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/goldendict/goldendict.git
  * Branch: master
  * Commit: 9892fdc0242736b053d8be1c6045996626464051
  * Date: 1525613971

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 07 May 2018 22:26:30 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: goldendict
 Priority: optional
 Section: utils
-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
-Uploaders:
- Boyuan Yang <073plan@gmail.com>,
-Standards-Version: 4.1.5
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
+Standards-Version: 4.1.4
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 10),
  libao-dev,
  libavformat-dev,
  libavutil-dev,
@@ -33,8 +32,6 @@
  x11proto-record-dev,
  zlib1g-dev,
 Homepage: http://goldendict.org
-Vcs-Browser: https://salsa.debian.org/debian/goldendict
-Vcs-Git: https://salsa.debian.org/debian/goldendict.git
 
 Package: goldendict
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,6 @@
 override_dh_install:
 	pod2man debian/goldendict.pod debian/goldendict.1
 	dh_install --
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## goldendict 1.5.0~rc2+git20181207+ds

=== debian/changelog ===
goldendict (1.5.0~rc2+git20181207+ds-1) unstable; urgency=medium

  * New upstream snapshot. (2018-12-07).
  * Rebuild for Debian Buster.
  * Bump Standards-Version to 4.2.1.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) to replace old
      debian/compat file.
    + Update my uploader email address and use the @debian.org one.
    + R³: Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Dec 2018 15:03:42 -0500

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 	pod2man debian/goldendict.pod debian/goldendict.1
 	dh_install --
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_missing:
+	dh_missing --fail-missing

## goldendict 1.5.0~rc2+git20190930+ds

=== debian/changelog ===
goldendict (1.5.0~rc2+git20190930+ds-2) unstable; urgency=medium

  * New upstream snapshot. (2020-01-19).
  * debian/patches/backport: Backport upstream patches
    till 2020-01-19.
  * debian/patches: Add fix in upstream PR 1228 to make AppStream
    metadata validation successful.
  * debian/control: Bump Standards-Version to 4.5.0.
  * debian/rules: Fix broken grammar on zim support.
    (Closes: #902834)

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Feb 2020 17:08:10 -0500

goldendict (1.5.0~rc2+git20190930+ds-1) unstable; urgency=medium

  * New upstream snapshot. (2019-09-30).
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Oct 2019 14:47:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: goldendict
 Priority: optional
 Section: utils
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
-Standards-Version: 4.1.4
+Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Uploaders:
+ Boyuan Yang <byang@debian.org>,
+Standards-Version: 4.5.0
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libao-dev,
  libavformat-dev,
  libavutil-dev,
@@ -31,7 +32,10 @@
  qttools5-dev-tools,
  x11proto-record-dev,
  zlib1g-dev,
+Rules-Requires-Root: no
 Homepage: http://goldendict.org
+Vcs-Browser: https://salsa.debian.org/debian/goldendict
+Vcs-Git: https://salsa.debian.org/debian/goldendict.git
 
 Package: goldendict
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	        CONFIG+=chinese_conversion_support \
-	        CONFIG+=CONFIG+=zim_support
+	        CONFIG+=zim_support \
+		goldendict.pro
 
 override_dh_install:
 	pod2man debian/goldendict.pod debian/goldendict.1

## goldendict 1.5.0~rc2+git20200409+ds

=== mouseover_win32/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
-GCC:=gcc.exe -W -Wall -s -O2
-GCC64:=x86_64-w64-mingw32-gcc.exe -W -Wall -s -O2
+# Build x86 target by mingw 4.8
+GCC:=gcc.exe -m32 -W -Wall -s -O2 -fno-omit-frame-pointer -static
+GCC64:=gcc.exe -m64 -W -Wall -s -O2 -fno-omit-frame-pointer -static
 
-.PHONY: all x64 clean
+.PHONY: x86 x64 clean
 
-all: GdTextOutHook.dll libGdTextOutHook.a GdTextOutSpy.dll libGdTextOutSpy.a
+x86: GdTextOutHook.dll libGdTextOutHook.a GdTextOutSpy.dll libGdTextOutSpy.a x86helper.exe
 
 x64: x64helper.exe GdTextOutHook64.dll libGdTextOutHook64.a GdTextOutSpy64.dll libGdTextOutSpy64.a
 
@@ -75,3 +76,9 @@
 
 GdTextOutSpy64.dll libGdTextOutSpy64.a: TextOutSpy64.o ThTypes64.o IAccEx64.o guids64.o GetWordByIAccEx64.o
 	$(GCC64) -shared -o GdTextOutSpy64.dll $^ -lgdi32 -luuid -loleacc -loleaut32 -Wl,--out-implib,libGdTextOutSpy64.a
+
+x64hooks86.o: x64hooks.c
+	$(GCC) -o $@ -c $<
+
+x86helper.exe: x64hooks86.o ThTypes.o
+	$(GCC) -Wl,--subsystem,windows -mwindows -o $@ $^

=== debian/changelog ===
goldendict (1.5.0~rc2+git20200409+ds-2) unstable; urgency=medium

  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 10:41:06 -0400

goldendict (1.5.0~rc2+git20200409+ds-2~exp1) experimental; urgency=medium

  * Experimental build with opencc 1.1+.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 18:53:26 -0400

goldendict (1.5.0~rc2+git20200409+ds-1) unstable; urgency=medium

  * New upstream snapshot. (2020-04-09).
  * debian/patches/backport: Drop backported patches.
  * debian/control:
    + Force rebuild with opencc 1.0.6+ dependency.
    + Bump to debhelper v13 compatibility.
  * debian/rule: Drop --as-needed linker flag.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 May 2020 10:19:54 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
 Standards-Version: 4.5.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libao-dev,
  libavformat-dev,
  libavutil-dev,
@@ -15,7 +15,7 @@
  libhunspell-dev (>= 1.6.1),
  liblzma-dev,
  liblzo2-dev,
- libopencc-dev (>= 1.0.4),
+ libopencc-dev (>= 1.1),
  libphonon4qt5-dev,
  libqt5svg5-dev,
  libqt5webkit5-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export QT_SELECT := 5
 
 %:

## goldendict 1.5.0~rc2+git20210630+ds

=== debian/changelog ===
goldendict (1.5.0~rc2+git20210630+ds-2) unstable; urgency=medium

  * Rebuild against opencc 1.1.3.
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Sep 2021 18:41:11 -0400

goldendict (1.5.0~rc2+git20210630+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dependency libzstd-dev.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 Aug 2021 13:01:38 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  libao-dev,
@@ -24,6 +24,7 @@
  libvorbis-dev,
  libx11-dev,
  libxtst-dev,
+ libzstd-dev,
  qtmultimedia5-dev,
  pkg-config,
  qt5-qmake,

## goldendict 1.5.0~rc2+git20220602+ds

=== debian/changelog ===
goldendict (1.5.0~rc2+git20220602+ds-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:51:00 +0000

goldendict (1.5.0~rc2+git20220602+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * Rebuild against opencc 1.1.4.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jun 2022 07:09:44 -0400

goldendict (1.5.0~rc2+git20220219+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libhunspell-dev

  [ Boyuan Yang ]
  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 06:46:37 -0400

goldendict (1.5.0~rc2+git20210630+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix build with ffmpeg 5.0 (Closes: #1004829)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Mar 2022 01:08:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: goldendict
 Priority: optional
 Section: utils
-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  libao-dev,
@@ -12,7 +13,7 @@
  libavutil-dev,
  libbz2-dev,
  libeb16-dev,
- libhunspell-dev (>= 1.6.1),
+ libhunspell-dev,
  liblzma-dev,
  liblzo2-dev,
  libopencc-dev (>= 1.1),

## goldendict 1.5.0~rc2+git20220921+ds

=== debian/changelog ===
goldendict (1.5.0~rc2+git20220921+ds-1) unstable; urgency=medium

  * New upstream snapshot. 

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Oct 2022 14:12:34 -0400

## goldendict 1.5.0~rc2+git20221126+ds

=== generators/Makefile ===

.PHONY: all clean

all: ../inc_case_folding.hh ../inc_diacritic_folding.hh

generate: generate.cc
	c++ -W -Wall $< -o $@

../inc_case_folding.hh ../inc_diacritic_folding.hh: CaseFolding.txt DiacriticFolding.txt generate
	./generate

clean:
	rm -f generate

=== debian/changelog ===
goldendict (1.5.0~rc2+git20221126+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Dec 2022 17:34:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: goldendict
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Standards-Version: 4.6.1

## goldendict 1.5.0

=== debian/changelog ===
goldendict (1.5.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:30 +1100

goldendict (1.5.0-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:30:38 +0000

goldendict (1.5.0-1build2) noble; urgency=medium

  * Rebuild against latest eb

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 07:21:08 -0400

goldendict (1.5.0-1build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:48:43 +0200

goldendict (1.5.0-1) unstable; urgency=medium

  * Upload to unstable.
  * d/p/backport/0002: Backport upstream fix for issue 1653.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jun 2023 15:35:13 -0400

goldendict (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Use new package libtiff5-dev -> libtiff-dev.
  * debian/source/lintian-overrides: Override source for HTML manual files.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 May 2023 19:44:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: goldendict
 Priority: optional
 Section: utils
-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  libao-dev,
@@ -20,7 +21,7 @@
  libqt5svg5-dev,
  libqt5webkit5-dev,
  libqt5x11extras5-dev,
- libtiff5-dev,
+ libtiff-dev,
  libvorbis-dev,
  libx11-dev,
  libxtst-dev,

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,5 @@
 	        CONFIG+=zim_support \
 		goldendict.pro
 
-override_dh_install:
+execute_before_dh_install:
 	pod2man debian/goldendict.pod debian/goldendict.1
-	dh_install --
-
-override_dh_missing:
-	dh_missing --fail-missing

## goldendict 1.5.0+git20240629

=== debian/changelog ===
goldendict (1.5.0+git20240629-2) unstable; urgency=medium

  * debian/control: Rebuild against opencc 1.1.9.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Aug 2024 16:32:31 -0400

goldendict (1.5.0+git20240629-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix FTBFS with ffmpeg 7.0. (Closes: #1072418)
  * debian/control: Rebuild against opencc 1.1.8.
  * debian/patches/backport/: Dropped, merged upstream.
  * debian/copyright: Rewrite in machine-readable copyright format.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jul 2024 20:30:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: goldendict
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
+Maintainer: Dmitry E. Oboukhov <unera@debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  libao-dev,
@@ -16,7 +15,7 @@
  libhunspell-dev,
  liblzma-dev,
  liblzo2-dev,
- libopencc-dev (>= 1.1),
+ libopencc-dev (>= 1.1.9~),
  libphonon4qt5-dev,
  libqt5svg5-dev,
  libqt5webkit5-dev,
@@ -27,7 +26,7 @@
  libxtst-dev,
  libzstd-dev,
  qtmultimedia5-dev,
- pkg-config,
+ pkgconf,
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev,

## goldendict 1.5.0+git20241211

=== debian/changelog ===
goldendict (1.5.0+git20241211-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Remove myself from the uploaders list.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 18:27:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,6 @@
 Priority: optional
 Section: utils
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
 Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,7 +13,7 @@
  libhunspell-dev,
  liblzma-dev,
  liblzo2-dev,
- libopencc-dev (>= 1.1.9~),
+ libopencc-dev,
  libphonon4qt5-dev,
  libqt5svg5-dev,
  libqt5webkit5-dev,
